"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "Source/cmake/OptionsGTK.cmake" between
webkitgtk-2.34.1.tar.xz and webkitgtk-2.34.2.tar.xz

About: WebKitGTK+ is a port of the WebKit rendering engine for the GTK library, suitable for projects requiring any kind of web integration, from hybrid HTML/CSS applications to full-fledged web browsers.

OptionsGTK.cmake  (webkitgtk-2.34.1.tar.xz):OptionsGTK.cmake  (webkitgtk-2.34.2.tar.xz)
include(GNUInstallDirs) include(GNUInstallDirs)
include(VersioningUtils) include(VersioningUtils)
WEBKIT_OPTION_BEGIN() WEBKIT_OPTION_BEGIN()
SET_PROJECT_VERSION(2 34 1) SET_PROJECT_VERSION(2 34 2)
set(USER_AGENT_BRANDING "" CACHE STRING "Branding to add to user agent string") set(USER_AGENT_BRANDING "" CACHE STRING "Branding to add to user agent string")
find_package(Cairo 1.14.0 REQUIRED) find_package(Cairo 1.14.0 REQUIRED)
find_package(Fontconfig 2.8.0 REQUIRED) find_package(Fontconfig 2.8.0 REQUIRED)
find_package(Freetype 2.4.2 REQUIRED) find_package(Freetype 2.4.2 REQUIRED)
find_package(LibGcrypt 1.6.0 REQUIRED) find_package(LibGcrypt 1.6.0 REQUIRED)
find_package(GLIB 2.44.0 REQUIRED COMPONENTS gio gio-unix gobject gthread gmodul e) find_package(GLIB 2.44.0 REQUIRED COMPONENTS gio gio-unix gobject gthread gmodul e)
find_package(HarfBuzz 0.9.18 REQUIRED COMPONENTS ICU) find_package(HarfBuzz 0.9.18 REQUIRED COMPONENTS ICU)
find_package(ICU 61.2 REQUIRED COMPONENTS data i18n uc) find_package(ICU 61.2 REQUIRED COMPONENTS data i18n uc)
skipping to change at line 228 skipping to change at line 228
elseif (USE_SOUP2) elseif (USE_SOUP2)
set(WEBKITGTK_API_VERSION 4.0) set(WEBKITGTK_API_VERSION 4.0)
set(WEBKITGTK_API_DOC_VERSION 4.0) set(WEBKITGTK_API_DOC_VERSION 4.0)
else () else ()
set(WEBKITGTK_API_VERSION 4.1) set(WEBKITGTK_API_VERSION 4.1)
# No API changes in 4.1, so keep using the same API documentation. # No API changes in 4.1, so keep using the same API documentation.
set(WEBKITGTK_API_DOC_VERSION 4.0) set(WEBKITGTK_API_DOC_VERSION 4.0)
endif () endif ()
if (WEBKITGTK_API_VERSION VERSION_EQUAL "4.0") if (WEBKITGTK_API_VERSION VERSION_EQUAL "4.0")
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 92 4 55) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 92 5 55)
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 37 6 19) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 37 7 19)
elseif (WEBKITGTK_API_VERSION VERSION_EQUAL "4.1") elseif (WEBKITGTK_API_VERSION VERSION_EQUAL "4.1")
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 0 1 0) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 0 2 0)
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 0 1 0) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 0 2 0)
elseif (WEBKITGTK_API_VERSION VERSION_EQUAL "5.0") elseif (WEBKITGTK_API_VERSION VERSION_EQUAL "5.0")
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 0 0 0) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(WEBKIT 0 0 0)
CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 0 0 0) CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(JAVASCRIPTCORE 0 0 0)
endif () endif ()
# These are shared variables, but we special case their definition so that we ca n use the # These are shared variables, but we special case their definition so that we ca n use the
# CMAKE_INSTALL_* variables that are populated by the GNUInstallDirs macro. # CMAKE_INSTALL_* variables that are populated by the GNUInstallDirs macro.
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE PATH "Absolute path to library installation directory") set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE PATH "Absolute path to library installation directory")
set(EXEC_INSTALL_DIR "${CMAKE_INSTALL_FULL_BINDIR}" CACHE PATH "Absolute path to executable installation directory") set(EXEC_INSTALL_DIR "${CMAKE_INSTALL_FULL_BINDIR}" CACHE PATH "Absolute path to executable installation directory")
set(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/webkit2gtk-${WEBKITGTK _API_VERSION}" CACHE PATH "Absolute path to install executables executed by the library") set(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/webkit2gtk-${WEBKITGTK _API_VERSION}" CACHE PATH "Absolute path to install executables executed by the library")
 End of changes. 3 change blocks. 
5 lines changed or deleted 5 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)